Index: /extensions/PiwigoLib/PiwigoUpload/MainForm.Designer.cs
===================================================================
--- /extensions/PiwigoLib/PiwigoUpload/MainForm.Designer.cs	(revision 13519)
+++ /extensions/PiwigoLib/PiwigoUpload/MainForm.Designer.cs	(revision 13520)
@@ -38,13 +38,12 @@
             this.AlbumsTV = new System.Windows.Forms.TreeView();
             this.imageListTV = new System.Windows.Forms.ImageList(this.components);
-            this.cbxLstCatTo = new System.Windows.Forms.ComboBox();
-            this.modelManagerBaseBindingSource = new System.Windows.Forms.BindingSource(this.components);
             this.lstCatBindingSource = new System.Windows.Forms.BindingSource(this.components);
-            this.label4 = new System.Windows.Forms.Label();
-            this.button2 = new System.Windows.Forms.Button();
             this.tbPassword = new System.Windows.Forms.TextBox();
             this.tbServer = new System.Windows.Forms.TextBox();
             this.tbUser = new System.Windows.Forms.TextBox();
             this.tableLayoutPanel1 = new System.Windows.Forms.TableLayoutPanel();
+            this.button2 = new System.Windows.Forms.Button();
+            this.label4 = new System.Windows.Forms.Label();
+            this.cbxLstCatTo = new System.Windows.Forms.ComboBox();
             this.tabControl1 = new System.Windows.Forms.TabControl();
             this.tabPageAlbum = new System.Windows.Forms.TabPage();
@@ -54,16 +53,36 @@
             this.label7 = new System.Windows.Forms.Label();
             this.txtAlbComment = new System.Windows.Forms.TextBox();
+            this.flowLayoutPanel1 = new System.Windows.Forms.FlowLayoutPanel();
             this.btnAlbumEditCancel = new System.Windows.Forms.Button();
             this.btnAlbumEditOk = new System.Windows.Forms.Button();
+            this.btnAlbDelete = new System.Windows.Forms.Button();
+            this.btnAlbumAjout = new System.Windows.Forms.Button();
             this.tabPageImg = new System.Windows.Forms.TabPage();
-            this.picshowImg = new System.Windows.Forms.PictureBox();
             this.tableLayoutPanel3 = new System.Windows.Forms.TableLayoutPanel();
+            this.txtImgAuthor = new System.Windows.Forms.TextBox();
+            this.label9 = new System.Windows.Forms.Label();
             this.txtImgName = new System.Windows.Forms.TextBox();
             this.label6 = new System.Windows.Forms.Label();
             this.label8 = new System.Windows.Forms.Label();
-            this.button3 = new System.Windows.Forms.Button();
-            this.button4 = new System.Windows.Forms.Button();
             this.txtImgComment = new System.Windows.Forms.TextBox();
-            ((System.ComponentModel.ISupportInitialize)(this.modelManagerBaseBindingSource)).BeginInit();
+            this.label10 = new System.Windows.Forms.Label();
+            this.cbImgLevelEnum = new System.Windows.Forms.ComboBox();
+            this.lstConfidentLevelBindingSource = new System.Windows.Forms.BindingSource(this.components);
+            this.modelManagerBaseBindingSource = new System.Windows.Forms.BindingSource(this.components);
+            this.flowLayoutPanel2 = new System.Windows.Forms.FlowLayoutPanel();
+            this.btnImgEditCancel = new System.Windows.Forms.Button();
+            this.btnImgEditOk = new System.Windows.Forms.Button();
+            this.btnImgDelete = new System.Windows.Forms.Button();
+            this.btnImgAdd = new System.Windows.Forms.Button();
+            this.tabPageRoot = new System.Windows.Forms.TabPage();
+            this.tableLayoutPanel4 = new System.Windows.Forms.TableLayoutPanel();
+            this.txtOptionAuthor = new System.Windows.Forms.TextBox();
+            this.label11 = new System.Windows.Forms.Label();
+            this.label12 = new System.Windows.Forms.Label();
+            this.cbOptionLevel = new System.Windows.Forms.ComboBox();
+            this.picshowImg = new System.Windows.Forms.PictureBox();
+            this.folderBrowserDialog1 = new System.Windows.Forms.FolderBrowserDialog();
+            this.TreeViewCMenu = new System.Windows.Forms.ContextMenuStrip(this.components);
+            this.toolStripMenuItem1 = new System.Windows.Forms.ToolStripMenuItem();
             ((System.ComponentModel.ISupportInitialize)(this.lstCatBindingSource)).BeginInit();
             this.tableLayoutPanel1.SuspendLayout();
@@ -71,7 +90,14 @@
             this.tabPageAlbum.SuspendLayout();
             this.tableLayoutPanel2.SuspendLayout();
+            this.flowLayoutPanel1.SuspendLayout();
             this.tabPageImg.SuspendLayout();
+            this.tableLayoutPanel3.SuspendLayout();
+            ((System.ComponentModel.ISupportInitialize)(this.lstConfidentLevelBindingSource)).BeginInit();
+            ((System.ComponentModel.ISupportInitialize)(this.modelManagerBaseBindingSource)).BeginInit();
+            this.flowLayoutPanel2.SuspendLayout();
+            this.tabPageRoot.SuspendLayout();
+            this.tableLayoutPanel4.SuspendLayout();
             ((System.ComponentModel.ISupportInitialize)(this.picshowImg)).BeginInit();
-            this.tableLayoutPanel3.SuspendLayout();
+            this.TreeViewCMenu.SuspendLayout();
             this.SuspendLayout();
             // 
@@ -102,9 +128,11 @@
             // AlbumsTV
             // 
-            this.tableLayoutPanel1.SetColumnSpan(this.AlbumsTV, 4);
+            this.AlbumsTV.AllowDrop = true;
+            this.tableLayoutPanel1.SetColumnSpan(this.AlbumsTV, 2);
             resources.ApplyResources(this.AlbumsTV, "AlbumsTV");
             this.AlbumsTV.HideSelection = false;
             this.AlbumsTV.ImageList = this.imageListTV;
-            this.AlbumsTV.MinimumSize = new System.Drawing.Size(150, 150);
+            this.AlbumsTV.MaximumSize = new System.Drawing.Size(300, 350);
+            this.AlbumsTV.MinimumSize = new System.Drawing.Size(150, 4);
             this.AlbumsTV.Name = "AlbumsTV";
             this.AlbumsTV.Nodes.AddRange(new System.Windows.Forms.TreeNode[] {
@@ -112,4 +140,7 @@
             this.tableLayoutPanel1.SetRowSpan(this.AlbumsTV, 2);
             this.AlbumsTV.AfterSelect += new System.Windows.Forms.TreeViewEventHandler(this.AlbumsTV_AfterSelect);
+            this.AlbumsTV.DragDrop += new System.Windows.Forms.DragEventHandler(this.AlbumsTV_DragDrop);
+            this.AlbumsTV.DragEnter += new System.Windows.Forms.DragEventHandler(this.AlbumsTV_DragEnter);
+            this.AlbumsTV.MouseDown += new System.Windows.Forms.MouseEventHandler(this.AlbumsTV_MouseDown);
             // 
             // imageListTV
@@ -121,28 +152,47 @@
             this.imageListTV.Images.SetKeyName(2, "image.png");
             // 
-            // cbxLstCatTo
-            // 
-            resources.ApplyResources(this.cbxLstCatTo, "cbxLstCatTo");
-            this.tableLayoutPanel1.SetColumnSpan(this.cbxLstCatTo, 2);
-            this.cbxLstCatTo.DataBindings.Add(new System.Windows.Forms.Binding("SelectedValue", this.modelManagerBaseBindingSource, "PwgAlbumIdSelected", true));
-            this.cbxLstCatTo.DataSource = this.lstCatBindingSource;
-            this.cbxLstCatTo.DisplayMember = "ShowedValue";
-            this.cbxLstCatTo.FormattingEnabled = true;
-            this.cbxLstCatTo.Name = "cbxLstCatTo";
-            this.cbxLstCatTo.ValueMember = "Id";
-            // 
-            // modelManagerBaseBindingSource
-            // 
-            this.modelManagerBaseBindingSource.DataSource = typeof(Com.Piwigo.Uploader.DTO.ModelManager.ModelManagerBase);
-            // 
-            // lstCatBindingSource
-            // 
-            this.lstCatBindingSource.DataMember = "lstCat";
-            this.lstCatBindingSource.DataSource = this.modelManagerBaseBindingSource;
-            // 
-            // label4
-            // 
-            resources.ApplyResources(this.label4, "label4");
-            this.label4.Name = "label4";
+            // tbPassword
+            // 
+            this.tbPassword.DataBindings.Add(new System.Windows.Forms.Binding("Text", global::Com.Piwigo.Uploader.Properties.Settings.Default, "pwdData", true, System.Windows.Forms.DataSourceUpdateMode.OnPropertyChanged));
+            resources.ApplyResources(this.tbPassword, "tbPassword");
+            this.tbPassword.MinimumSize = new System.Drawing.Size(100, 20);
+            this.tbPassword.Name = "tbPassword";
+            this.tbPassword.Text = global::Com.Piwigo.Uploader.Properties.Settings.Default.pwdData;
+            // 
+            // tbServer
+            // 
+            resources.ApplyResources(this.tbServer, "tbServer");
+            this.tableLayoutPanel1.SetColumnSpan(this.tbServer, 3);
+            this.tbServer.DataBindings.Add(new System.Windows.Forms.Binding("Text", global::Com.Piwigo.Uploader.Properties.Settings.Default, "serverUrlData", true, System.Windows.Forms.DataSourceUpdateMode.OnPropertyChanged));
+            this.tbServer.MaximumSize = new System.Drawing.Size(600, 20);
+            this.tbServer.MinimumSize = new System.Drawing.Size(100, 20);
+            this.tbServer.Name = "tbServer";
+            this.tbServer.Text = global::Com.Piwigo.Uploader.Properties.Settings.Default.serverUrlData;
+            // 
+            // tbUser
+            // 
+            this.tbUser.DataBindings.Add(new System.Windows.Forms.Binding("Text", global::Com.Piwigo.Uploader.Properties.Settings.Default, "userData", true, System.Windows.Forms.DataSourceUpdateMode.OnPropertyChanged));
+            resources.ApplyResources(this.tbUser, "tbUser");
+            this.tbUser.MinimumSize = new System.Drawing.Size(100, 20);
+            this.tbUser.Name = "tbUser";
+            this.tbUser.Text = global::Com.Piwigo.Uploader.Properties.Settings.Default.userData;
+            // 
+            // tableLayoutPanel1
+            // 
+            resources.ApplyResources(this.tableLayoutPanel1, "tableLayoutPanel1");
+            this.tableLayoutPanel1.Controls.Add(this.button2, 3, 4);
+            this.tableLayoutPanel1.Controls.Add(this.label1, 0, 1);
+            this.tableLayoutPanel1.Controls.Add(this.label4, 0, 4);
+            this.tableLayoutPanel1.Controls.Add(this.tbServer, 1, 0);
+            this.tableLayoutPanel1.Controls.Add(this.tbUser, 1, 1);
+            this.tableLayoutPanel1.Controls.Add(this.label2, 2, 1);
+            this.tableLayoutPanel1.Controls.Add(this.AlbumsTV, 0, 2);
+            this.tableLayoutPanel1.Controls.Add(this.tbPassword, 3, 1);
+            this.tableLayoutPanel1.Controls.Add(this.button1, 4, 1);
+            this.tableLayoutPanel1.Controls.Add(this.label3, 0, 0);
+            this.tableLayoutPanel1.Controls.Add(this.cbxLstCatTo, 1, 4);
+            this.tableLayoutPanel1.Controls.Add(this.tabControl1, 2, 2);
+            this.tableLayoutPanel1.Controls.Add(this.picshowImg, 3, 2);
+            this.tableLayoutPanel1.Name = "tableLayoutPanel1";
             // 
             // button2
@@ -155,53 +205,28 @@
             this.button2.Click += new System.EventHandler(this.Telecharger_Click);
             // 
-            // tbPassword
-            // 
-            this.tbPassword.DataBindings.Add(new System.Windows.Forms.Binding("Text", global::Com.Piwigo.Uploader.Properties.Settings.Default, "pwdData", true, System.Windows.Forms.DataSourceUpdateMode.OnPropertyChanged));
-            resources.ApplyResources(this.tbPassword, "tbPassword");
-            this.tbPassword.MinimumSize = new System.Drawing.Size(100, 20);
-            this.tbPassword.Name = "tbPassword";
-            this.tbPassword.Text = global::Com.Piwigo.Uploader.Properties.Settings.Default.pwdData;
-            // 
-            // tbServer
-            // 
-            this.tableLayoutPanel1.SetColumnSpan(this.tbServer, 3);
-            this.tbServer.DataBindings.Add(new System.Windows.Forms.Binding("Text", global::Com.Piwigo.Uploader.Properties.Settings.Default, "serverUrlData", true, System.Windows.Forms.DataSourceUpdateMode.OnPropertyChanged));
-            resources.ApplyResources(this.tbServer, "tbServer");
-            this.tbServer.MinimumSize = new System.Drawing.Size(100, 20);
-            this.tbServer.Name = "tbServer";
-            this.tbServer.Text = global::Com.Piwigo.Uploader.Properties.Settings.Default.serverUrlData;
-            // 
-            // tbUser
-            // 
-            this.tbUser.DataBindings.Add(new System.Windows.Forms.Binding("Text", global::Com.Piwigo.Uploader.Properties.Settings.Default, "userData", true, System.Windows.Forms.DataSourceUpdateMode.OnPropertyChanged));
-            resources.ApplyResources(this.tbUser, "tbUser");
-            this.tbUser.MinimumSize = new System.Drawing.Size(100, 20);
-            this.tbUser.Name = "tbUser";
-            this.tbUser.Text = global::Com.Piwigo.Uploader.Properties.Settings.Default.userData;
-            // 
-            // tableLayoutPanel1
-            // 
-            resources.ApplyResources(this.tableLayoutPanel1, "tableLayoutPanel1");
-            this.tableLayoutPanel1.Controls.Add(this.button2, 3, 5);
-            this.tableLayoutPanel1.Controls.Add(this.label1, 0, 1);
-            this.tableLayoutPanel1.Controls.Add(this.label4, 0, 5);
-            this.tableLayoutPanel1.Controls.Add(this.tbServer, 1, 0);
-            this.tableLayoutPanel1.Controls.Add(this.tbUser, 1, 1);
-            this.tableLayoutPanel1.Controls.Add(this.label2, 2, 1);
-            this.tableLayoutPanel1.Controls.Add(this.AlbumsTV, 0, 3);
-            this.tableLayoutPanel1.Controls.Add(this.tbPassword, 3, 1);
-            this.tableLayoutPanel1.Controls.Add(this.button1, 3, 2);
-            this.tableLayoutPanel1.Controls.Add(this.label3, 0, 0);
-            this.tableLayoutPanel1.Controls.Add(this.cbxLstCatTo, 1, 5);
-            this.tableLayoutPanel1.Controls.Add(this.tabControl1, 4, 3);
-            this.tableLayoutPanel1.Name = "tableLayoutPanel1";
+            // label4
+            // 
+            resources.ApplyResources(this.label4, "label4");
+            this.label4.Name = "label4";
+            // 
+            // cbxLstCatTo
+            // 
+            this.tableLayoutPanel1.SetColumnSpan(this.cbxLstCatTo, 2);
+            this.cbxLstCatTo.DataSource = this.lstCatBindingSource;
+            this.cbxLstCatTo.DisplayMember = "ShowedValue";
+            resources.ApplyResources(this.cbxLstCatTo, "cbxLstCatTo");
+            this.cbxLstCatTo.FormattingEnabled = true;
+            this.cbxLstCatTo.Name = "cbxLstCatTo";
+            this.cbxLstCatTo.ValueMember = "Id";
             // 
             // tabControl1
             // 
+            this.tableLayoutPanel1.SetColumnSpan(this.tabControl1, 2);
             this.tabControl1.Controls.Add(this.tabPageAlbum);
             this.tabControl1.Controls.Add(this.tabPageImg);
+            this.tabControl1.Controls.Add(this.tabPageRoot);
             resources.ApplyResources(this.tabControl1, "tabControl1");
             this.tabControl1.ImageList = this.imageListTV;
-            this.tabControl1.MinimumSize = new System.Drawing.Size(300, 300);
+            this.tabControl1.MaximumSize = new System.Drawing.Size(400, 0);
             this.tabControl1.Name = "tabControl1";
             this.tableLayoutPanel1.SetRowSpan(this.tabControl1, 2);
@@ -222,6 +247,5 @@
             this.tableLayoutPanel2.Controls.Add(this.label7, 0, 2);
             this.tableLayoutPanel2.Controls.Add(this.txtAlbComment, 1, 2);
-            this.tableLayoutPanel2.Controls.Add(this.btnAlbumEditCancel, 0, 3);
-            this.tableLayoutPanel2.Controls.Add(this.btnAlbumEditOk, 1, 4);
+            this.tableLayoutPanel2.Controls.Add(this.flowLayoutPanel1, 0, 4);
             this.tableLayoutPanel2.Name = "tableLayoutPanel2";
             // 
@@ -248,5 +272,16 @@
             resources.ApplyResources(this.txtAlbComment, "txtAlbComment");
             this.tableLayoutPanel2.SetColumnSpan(this.txtAlbComment, 2);
+            this.txtAlbComment.MinimumSize = new System.Drawing.Size(300, 100);
             this.txtAlbComment.Name = "txtAlbComment";
+            // 
+            // flowLayoutPanel1
+            // 
+            this.tableLayoutPanel2.SetColumnSpan(this.flowLayoutPanel1, 2);
+            this.flowLayoutPanel1.Controls.Add(this.btnAlbumEditCancel);
+            this.flowLayoutPanel1.Controls.Add(this.btnAlbumEditOk);
+            this.flowLayoutPanel1.Controls.Add(this.btnAlbDelete);
+            this.flowLayoutPanel1.Controls.Add(this.btnAlbumAjout);
+            resources.ApplyResources(this.flowLayoutPanel1, "flowLayoutPanel1");
+            this.flowLayoutPanel1.Name = "flowLayoutPanel1";
             // 
             // btnAlbumEditCancel
@@ -254,5 +289,5 @@
             resources.ApplyResources(this.btnAlbumEditCancel, "btnAlbumEditCancel");
             this.btnAlbumEditCancel.CausesValidation = false;
-            this.btnAlbumEditCancel.Image = global::Com.Piwigo.Uploader.Properties.Resources.no;
+            this.btnAlbumEditCancel.Image = global::Com.Piwigo.Uploader.Properties.Resources.cancel;
             this.btnAlbumEditCancel.Name = "btnAlbumEditCancel";
             this.btnAlbumEditCancel.UseVisualStyleBackColor = true;
@@ -267,4 +302,20 @@
             this.btnAlbumEditOk.Click += new System.EventHandler(this.btnAlbumEditOk_Click);
             // 
+            // btnAlbDelete
+            // 
+            resources.ApplyResources(this.btnAlbDelete, "btnAlbDelete");
+            this.btnAlbDelete.Image = global::Com.Piwigo.Uploader.Properties.Resources.cnrdelete_all;
+            this.btnAlbDelete.Name = "btnAlbDelete";
+            this.btnAlbDelete.UseVisualStyleBackColor = true;
+            this.btnAlbDelete.Click += new System.EventHandler(this.btnAlbDelete_Click);
+            // 
+            // btnAlbumAjout
+            // 
+            resources.ApplyResources(this.btnAlbumAjout, "btnAlbumAjout");
+            this.btnAlbumAjout.Image = global::Com.Piwigo.Uploader.Properties.Resources.folder_new;
+            this.btnAlbumAjout.Name = "btnAlbumAjout";
+            this.btnAlbumAjout.UseVisualStyleBackColor = true;
+            this.btnAlbumAjout.Click += new System.EventHandler(this.btnAlbumAjout_Click);
+            // 
             // tabPageImg
             // 
@@ -274,64 +325,192 @@
             this.tabPageImg.UseVisualStyleBackColor = true;
             // 
+            // tableLayoutPanel3
+            // 
+            resources.ApplyResources(this.tableLayoutPanel3, "tableLayoutPanel3");
+            this.tableLayoutPanel3.Controls.Add(this.txtImgAuthor, 0, 3);
+            this.tableLayoutPanel3.Controls.Add(this.label9, 0, 2);
+            this.tableLayoutPanel3.Controls.Add(this.txtImgName, 0, 1);
+            this.tableLayoutPanel3.Controls.Add(this.label6, 0, 0);
+            this.tableLayoutPanel3.Controls.Add(this.label8, 0, 4);
+            this.tableLayoutPanel3.Controls.Add(this.txtImgComment, 0, 5);
+            this.tableLayoutPanel3.Controls.Add(this.label10, 0, 6);
+            this.tableLayoutPanel3.Controls.Add(this.cbImgLevelEnum, 0, 7);
+            this.tableLayoutPanel3.Controls.Add(this.flowLayoutPanel2, 0, 8);
+            this.tableLayoutPanel3.Name = "tableLayoutPanel3";
+            // 
+            // txtImgAuthor
+            // 
+            this.tableLayoutPanel3.SetColumnSpan(this.txtImgAuthor, 2);
+            resources.ApplyResources(this.txtImgAuthor, "txtImgAuthor");
+            this.txtImgAuthor.MaximumSize = new System.Drawing.Size(300, 100);
+            this.txtImgAuthor.Name = "txtImgAuthor";
+            // 
+            // label9
+            // 
+            resources.ApplyResources(this.label9, "label9");
+            this.label9.Name = "label9";
+            // 
+            // txtImgName
+            // 
+            this.tableLayoutPanel3.SetColumnSpan(this.txtImgName, 2);
+            resources.ApplyResources(this.txtImgName, "txtImgName");
+            this.txtImgName.MaximumSize = new System.Drawing.Size(300, 100);
+            this.txtImgName.Name = "txtImgName";
+            // 
+            // label6
+            // 
+            resources.ApplyResources(this.label6, "label6");
+            this.label6.Name = "label6";
+            // 
+            // label8
+            // 
+            resources.ApplyResources(this.label8, "label8");
+            this.label8.Name = "label8";
+            // 
+            // txtImgComment
+            // 
+            this.txtImgComment.AcceptsReturn = true;
+            this.txtImgComment.AcceptsTab = true;
+            resources.ApplyResources(this.txtImgComment, "txtImgComment");
+            this.tableLayoutPanel3.SetColumnSpan(this.txtImgComment, 2);
+            this.txtImgComment.MinimumSize = new System.Drawing.Size(200, 80);
+            this.txtImgComment.Name = "txtImgComment";
+            // 
+            // label10
+            // 
+            resources.ApplyResources(this.label10, "label10");
+            this.label10.Name = "label10";
+            // 
+            // cbImgLevelEnum
+            // 
+            this.tableLayoutPanel3.SetColumnSpan(this.cbImgLevelEnum, 2);
+            this.cbImgLevelEnum.DataSource = this.lstConfidentLevelBindingSource;
+            this.cbImgLevelEnum.DisplayMember = "Value";
+            resources.ApplyResources(this.cbImgLevelEnum, "cbImgLevelEnum");
+            this.cbImgLevelEnum.FormattingEnabled = true;
+            this.cbImgLevelEnum.MaximumSize = new System.Drawing.Size(300, 0);
+            this.cbImgLevelEnum.Name = "cbImgLevelEnum";
+            this.cbImgLevelEnum.ValueMember = "Key";
+            // 
+            // lstConfidentLevelBindingSource
+            // 
+            this.lstConfidentLevelBindingSource.DataMember = "LstConfidentLevel";
+            this.lstConfidentLevelBindingSource.DataSource = this.modelManagerBaseBindingSource;
+            // 
+            // modelManagerBaseBindingSource
+            // 
+            this.modelManagerBaseBindingSource.DataSource = typeof(Com.Piwigo.Uploader.DTO.ModelManager.ModelManagerBase);
+            // 
+            // flowLayoutPanel2
+            // 
+            this.tableLayoutPanel3.SetColumnSpan(this.flowLayoutPanel2, 2);
+            this.flowLayoutPanel2.Controls.Add(this.btnImgEditCancel);
+            this.flowLayoutPanel2.Controls.Add(this.btnImgEditOk);
+            this.flowLayoutPanel2.Controls.Add(this.btnImgDelete);
+            this.flowLayoutPanel2.Controls.Add(this.btnImgAdd);
+            resources.ApplyResources(this.flowLayoutPanel2, "flowLayoutPanel2");
+            this.flowLayoutPanel2.Name = "flowLayoutPanel2";
+            this.tableLayoutPanel3.SetRowSpan(this.flowLayoutPanel2, 2);
+            // 
+            // btnImgEditCancel
+            // 
+            resources.ApplyResources(this.btnImgEditCancel, "btnImgEditCancel");
+            this.btnImgEditCancel.CausesValidation = false;
+            this.btnImgEditCancel.Image = global::Com.Piwigo.Uploader.Properties.Resources.cancel;
+            this.btnImgEditCancel.Name = "btnImgEditCancel";
+            this.btnImgEditCancel.UseVisualStyleBackColor = true;
+            this.btnImgEditCancel.Click += new System.EventHandler(this.btnImgEditCancel_Click);
+            // 
+            // btnImgEditOk
+            // 
+            resources.ApplyResources(this.btnImgEditOk, "btnImgEditOk");
+            this.btnImgEditOk.Image = global::Com.Piwigo.Uploader.Properties.Resources.ok;
+            this.btnImgEditOk.Name = "btnImgEditOk";
+            this.btnImgEditOk.UseVisualStyleBackColor = true;
+            this.btnImgEditOk.Click += new System.EventHandler(this.btnImgEditOk_Click);
+            // 
+            // btnImgDelete
+            // 
+            resources.ApplyResources(this.btnImgDelete, "btnImgDelete");
+            this.btnImgDelete.Image = global::Com.Piwigo.Uploader.Properties.Resources.cnrdelete_all;
+            this.btnImgDelete.Name = "btnImgDelete";
+            this.btnImgDelete.UseVisualStyleBackColor = true;
+            this.btnImgDelete.Click += new System.EventHandler(this.btnImgDelete_Click);
+            // 
+            // btnImgAdd
+            // 
+            resources.ApplyResources(this.btnImgAdd, "btnImgAdd");
+            this.btnImgAdd.Image = global::Com.Piwigo.Uploader.Properties.Resources.folder_new;
+            this.btnImgAdd.Name = "btnImgAdd";
+            this.btnImgAdd.UseVisualStyleBackColor = true;
+            this.btnImgAdd.Click += new System.EventHandler(this.btnImgAdd_Click);
+            // 
+            // tabPageRoot
+            // 
+            this.tabPageRoot.Controls.Add(this.tableLayoutPanel4);
+            resources.ApplyResources(this.tabPageRoot, "tabPageRoot");
+            this.tabPageRoot.Name = "tabPageRoot";
+            this.tabPageRoot.UseVisualStyleBackColor = true;
+            // 
+            // tableLayoutPanel4
+            // 
+            resources.ApplyResources(this.tableLayoutPanel4, "tableLayoutPanel4");
+            this.tableLayoutPanel4.Controls.Add(this.txtOptionAuthor, 0, 1);
+            this.tableLayoutPanel4.Controls.Add(this.label11, 0, 0);
+            this.tableLayoutPanel4.Controls.Add(this.label12, 0, 2);
+            this.tableLayoutPanel4.Controls.Add(this.cbOptionLevel, 0, 3);
+            this.tableLayoutPanel4.Name = "tableLayoutPanel4";
+            // 
+            // txtOptionAuthor
+            // 
+            this.tableLayoutPanel4.SetColumnSpan(this.txtOptionAuthor, 2);
+            resources.ApplyResources(this.txtOptionAuthor, "txtOptionAuthor");
+            this.txtOptionAuthor.MaximumSize = new System.Drawing.Size(300, 100);
+            this.txtOptionAuthor.Name = "txtOptionAuthor";
+            // 
+            // label11
+            // 
+            resources.ApplyResources(this.label11, "label11");
+            this.label11.Name = "label11";
+            // 
+            // label12
+            // 
+            resources.ApplyResources(this.label12, "label12");
+            this.label12.Name = "label12";
+            // 
+            // cbOptionLevel
+            // 
+            this.tableLayoutPanel4.SetColumnSpan(this.cbOptionLevel, 2);
+            this.cbOptionLevel.DataSource = this.lstConfidentLevelBindingSource;
+            this.cbOptionLevel.DisplayMember = "Value";
+            resources.ApplyResources(this.cbOptionLevel, "cbOptionLevel");
+            this.cbOptionLevel.FormattingEnabled = true;
+            this.cbOptionLevel.MaximumSize = new System.Drawing.Size(300, 0);
+            this.cbOptionLevel.Name = "cbOptionLevel";
+            this.cbOptionLevel.ValueMember = "Key";
+            // 
             // picshowImg
             // 
             resources.ApplyResources(this.picshowImg, "picshowImg");
-            this.tableLayoutPanel3.SetColumnSpan(this.picshowImg, 2);
             this.picshowImg.ErrorImage = global::Com.Piwigo.Uploader.Properties.Resources.file_broken;
             this.picshowImg.InitialImage = global::Com.Piwigo.Uploader.Properties.Resources.image;
             this.picshowImg.MinimumSize = new System.Drawing.Size(300, 300);
             this.picshowImg.Name = "picshowImg";
+            this.tableLayoutPanel1.SetRowSpan(this.picshowImg, 3);
             this.picshowImg.TabStop = false;
             // 
-            // tableLayoutPanel3
-            // 
-            resources.ApplyResources(this.tableLayoutPanel3, "tableLayoutPanel3");
-            this.tableLayoutPanel3.Controls.Add(this.txtImgName, 0, 1);
-            this.tableLayoutPanel3.Controls.Add(this.label6, 0, 0);
-            this.tableLayoutPanel3.Controls.Add(this.label8, 0, 2);
-            this.tableLayoutPanel3.Controls.Add(this.txtImgComment, 0, 3);
-            this.tableLayoutPanel3.Controls.Add(this.button3, 0, 5);
-            this.tableLayoutPanel3.Controls.Add(this.button4, 1, 5);
-            this.tableLayoutPanel3.Controls.Add(this.picshowImg, 0, 4);
-            this.tableLayoutPanel3.Name = "tableLayoutPanel3";
-            // 
-            // txtImgName
-            // 
-            this.tableLayoutPanel3.SetColumnSpan(this.txtImgName, 2);
-            resources.ApplyResources(this.txtImgName, "txtImgName");
-            this.txtImgName.Name = "txtImgName";
-            // 
-            // label6
-            // 
-            resources.ApplyResources(this.label6, "label6");
-            this.label6.Name = "label6";
-            // 
-            // label8
-            // 
-            resources.ApplyResources(this.label8, "label8");
-            this.label8.Name = "label8";
-            // 
-            // button3
-            // 
-            resources.ApplyResources(this.button3, "button3");
-            this.button3.CausesValidation = false;
-            this.button3.Image = global::Com.Piwigo.Uploader.Properties.Resources.no;
-            this.button3.Name = "button3";
-            this.button3.UseVisualStyleBackColor = true;
-            // 
-            // button4
-            // 
-            resources.ApplyResources(this.button4, "button4");
-            this.button4.Image = global::Com.Piwigo.Uploader.Properties.Resources.ok;
-            this.button4.Name = "button4";
-            this.button4.UseVisualStyleBackColor = true;
-            // 
-            // txtImgComment
-            // 
-            this.txtImgComment.AcceptsReturn = true;
-            this.txtImgComment.AcceptsTab = true;
-            this.tableLayoutPanel3.SetColumnSpan(this.txtImgComment, 2);
-            resources.ApplyResources(this.txtImgComment, "txtImgComment");
-            this.txtImgComment.Name = "txtImgComment";
+            // TreeViewCMenu
+            // 
+            this.TreeViewCMenu.Items.AddRange(new System.Windows.Forms.ToolStripItem[] {
+            this.toolStripMenuItem1});
+            this.TreeViewCMenu.Name = "TreeViewCMenu";
+            resources.ApplyResources(this.TreeViewCMenu, "TreeViewCMenu");
+            this.TreeViewCMenu.Click += new System.EventHandler(this.TreeViewCMenu_Click);
+            // 
+            // toolStripMenuItem1
+            // 
+            this.toolStripMenuItem1.Image = global::Com.Piwigo.Uploader.Properties.Resources.agt_update_product;
+            resources.ApplyResources(this.toolStripMenuItem1, "toolStripMenuItem1");
+            this.toolStripMenuItem1.Name = "toolStripMenuItem1";
             // 
             // MainForm
@@ -343,5 +522,4 @@
             this.FormClosing += new System.Windows.Forms.FormClosingEventHandler(this.MainForm_FormClosing);
             this.Load += new System.EventHandler(this.MainForm_Load);
-            ((System.ComponentModel.ISupportInitialize)(this.modelManagerBaseBindingSource)).EndInit();
             ((System.ComponentModel.ISupportInitialize)(this.lstCatBindingSource)).EndInit();
             this.tableLayoutPanel1.ResumeLayout(false);
